Subject: bug#32607: 27.0.50; pop-to-buffer in next-error-no-select

From: Stefan Monnier <[email-masked]>
Date: Wed, 12 Sep 2018 18:03:58 -0400

IIUC next-error-no-select is provided so you can do `n n n n n` to display
the various grep hits "in their habitats" while staying within the
*grep* buffer.

> If the purpose of 'next-error-no-select' is simply to not select the
> window of the locus buffer, then 'next-error-no-select' should no rely
> on 'next-error'.  Rather we should provide a generic function to
> display the locus buffer and have 'next-error' select the window used
> and 'next-error-no-select' not select that window.

Sounds right,

        Stefan